 
// *****************************************************************************
//
// source:    AC_OTR_init.C
//
// type:      source code
//
// created:   16 Sep 2000
//
// author:    Dr. Andreas Gellrich
//            HERA-B Collaboration
//            Humboldt-University Berlin
//            Physics Department
//            Invalidenstr. 110
//            10115 Berlin
//            Germany
//            email: Andreas.Gellrich@desy.de
//
// called by: AC_init()
//
// purpose:   do all booking of histograms here
//
// changes:
// 16 Sep 2000 (AG) creation of template
//
// ******************************************************************

// standard includes
#include <iostream.h>

// ONLINE includes
#include "rhp.h"

// Arte includes
#include "farm/farm.hh"
#include "dq/DQ.h"
#include "alca/AC_OTR.hh"

//
// function code
//
int
AC_OTR_init()
{
  // show up and debugging
  ARTE_mark( "AC_OTR_init 0", 0 ); // helps to trace back problems
  cout << "AC_OTR_init" << endl;

  //
  // book histograms here
  //

  // example of 1-dim histogram
  //rhp_hbook1( AC_ID( COMP_OTR, LVL_REC, 1 ), "OTR example", nbinx, xmin, xmax );

  // return from function
  ARTE_mark( "AC_OTR_init 1", 0 ); // helps to trace back problems
  return 0; // return error code (0 = okay)
}
