*-- Author :    Hartwig Albrecht   16/03/95

      SUBROUTINE CH78AD (D, N)

************************************************************************
*
* Description: append double precision number D at the end of C78
*
* Called from: anywhere
*
* External references: CHDTOC
*
* Argument in/out description
*  D       in     double precision number to be appended
*  N       in     accuracy (N > 0); digits after . (N <=0)
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"

      INTEGER LENOCC, L, N
      DOUBLE PRECISION D
      CHARACTER*30 C30

#include "arte/Arte.ff"

      CALL CHDTOC (D, N, '*', C30)

      L = LENOCC(C78)
      IF (L .LT. N78MAX)  C78(L+1:) = C30
      IF (L + LENOCC(C30) .GT. N78MAX)  C78(N78MAX:N78MAX) = '!'

      END

************************************************************************
* End of CH78AD
************************************************************************
