
//                              -*- Mode: C++ -*-
// LkParticle.cc --
//
// $Id: DQ_LkParticle.C,v 1.1 2000/04/19 20:42:14 natasha Exp $
//
// Copyright (C)  1991  The Board of Trustees of The Leland Stanford
//                                  Junior University.  All Rights Reserved.
//
// Creator         : Tom Pavel  <pavel>     Thu Oct 21 11:28:10 1993
// Modifier        : Tom Pavel  <pavel>     Thu Oct 21 11:28:59 1993
// Update Count    : 1
// Status          : Unknown, Use with caution!
//

#ifdef __GNUG__
#pragma implementation
#endif

#include "dq/DQ_LkParticle.hh"

// Currently, all functions are inline.  This file serves as a place to put
// the #pragma implementation...
//LkParticle test;


LkParticle::~LkParticle() {}

int LkParticle::isA(ClassId id) {
  return id == ClassID() || HepLockable::isA(id) || Particle::isA(id);
}

   // These are for the benefit of Lockable:
HepLockable * LkParticle::lockableChild(int i) const
                     { return dyn_cast(LkParticle, child(i)); }

int LkParticle::nLockChildren() const { return nChildren(); }
 
