#ifndef _ZGROT_HH_
#define _ZGROT_HH_
#include "gean/zgeom.hh"
#include <vector.h>

  typedef struct {
  int rotnum;
  int irotm;
  } hgrot;

class zgrot : public zgeom {
public:

  friend class zgdet;
  friend class zgpos;  
  friend class zgvol;
  friend class zguser;
 
  zgrot() {}
  ~zgrot() {} 
  
  void ini(int n);
  void fin();

  int         Readrot(char*, int&);
  int         Checkxy_Grot(const float[], float &);
  void        Arot_par(float &,float &,float &,float &,float [] );
  void        Set_UnitMatrix(float []);

private:
  static  vector<hgrot>        *ptrot[33];
};

#endif







