
//## Boris Fominykh  23.12.1999
// member functions of the class MuAlign

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <iostream.h>
#include <iomanip.h>

#include "murec/MuAlign.h"

//** Constructor */
MuAlign::MuAlign()
{
  Ini();
}

//** Destructor */
MuAlign::~MuAlign()
{
}

//## Methods

//** Initialization */
void MuAlign::Ini()
{
  Valid=-1;
  nframe = 0;
  type   = 0;
  msl    = 0;
  nlay   = 0;
  for(int i=0; i<3; i++) {
    nx1u[i]   = 0;
    nx2u[i]   = 0;
    nx99u[i]  = 0;
    nx1d[i]   = 0;
    nx2d[i]   = 0;
    nx99d[i]  = 0;
  }
  dx     = 0.;
  dy     = 0.;
  dz     = 0.;
  xc     = 0.;
  yc     = 0.;
  angl   = 0.;
  return;
}
 
void MuAlign::Print()
{
  cout << "alignment constants for frame " << nframe << " type " << type;
  cout << " msl " << msl << " nlay " << nlay << " Valid " << Valid << endl;

  if(nlay > 0) {
    for(int i=0; i<nlay; i++) {
      cout << "Lay " << i+1;
      cout << " Up: nx1 " << nx1u[i] << " nx2 " << nx2u[i];
      cout << " nx99 " << nx99u[i];
      cout << " Down: nx1 " << nx1d[i] << " nx2 " << nx2d[i];
      cout << " nx99 " << nx99d[i];
      cout << endl;
    }
  }

  cout << " dx " << dx << " dy " << dy << " dz " << dz;
  cout << " xc " << xc << " yc " << yc << " angl " << angl << endl;

  return;
}


