*-- Author :    Rainer Mankel   26/07/95

      subroutine dimv(mc,mv,chopt)
*     **** display MC vertex
      implicit none
#include "arte/Arte.fi"

#include "auto/MTRA.fi"
#include "auto/MVER.fi"

      integer mc, mv, mv1, mv2, v, marker, mc_mother, c_mother
      character*(*) chopt
      real*4 xxx(1), yyy(1), wcm(3)
      integer ngeamx
      parameter (ngeamx=49)
      logical lv0(ngeamx)
      data lv0 /
     + .false.,8*.false.,.true.,
     + 5*.false., .true., .false., 3*.true.,
     + 10*.true.,
     + 10*.true.,
     + .true.,8*.false./
      save lv0
#include "arte/Arte.ff"
#include "auto/MTRA.ff"
#include "auto/MVER.ff"

**   + 'gamma','e+','e-','nu','mu+','mu-','pi0','pi+','pi-','K0L',
**   + 'K+','K-','n','p','p=','K0S','eta','Lambda','Sigma+','Sigma0',
**   + 'Sigma-','Xi0','Xi-','Omega-','n=','Lambda=','Sigma=-','Sigma=0',
**   + 'Sigma=+','Xi=0',
**   + 'Xi=+','Omega=+','tau+','tau-','D+','D-','D0','D0=','Ds+','Ds-',
**   + 'Lambda_c+','W+','W-','Z0','d','Triton','alpha','geantino','He3'/

      if (mv.eq.0.and.mc.eq.0) then
       mv1 = 1
       mv2 = iq(jmver+2)
      elseif (mc.eq.0) then
       mv1 = mv
       mv2 = mv
      elseif (mv.eq.0) then
       mv1 = omtra_bver(mc)
       mv2 = mv1
      elseif (mv.eq.omtra_bver(mc)) then
       mv1 = mv
       mv2 = mv
      else
       print *,' () dimv: incompatible mc=', mc,' mv=', mv
       mv1 = 1
       mv2 = 0
      endif

      do 10 v=mv1,mv2     ! loop over mvertices
*      **** check if sensible V0
       if (mv.eq.0) then
        mc_mother = omver_btra(v)
        if (mc_mother.ne.0) then  ! check if primary vertex
         c_mother = omtra_topp(mc_mother)
         if (c_mother.le.0.or.c_mother.gt.ngeamx) go to 10
         if (.not.lv0(c_mother)) go to 10
        endif
       endif

*      **** vertex coordinates
       wcm(1) = fmver_x(v)
       wcm(2) = fmver_y(v)
       wcm(3) = fmver_z(v)

*      **** projection
       call dipro(wcm,xxx(1),yyy(1))

       marker = 30

       call ismk(marker)
       call ismksc(1.)
       call ipm(1,xxx,yyy)
 10   continue
      end




