*CMZ :  4.02/00 26/06/96  13.34.02  by  Rainer Mankel
*CMZ :  4.01/01 25/01/96  15.47.12  by  Rainer Mankel
*-- Author :    Rainer Mankel   25/01/96

      subroutine tfkmseedx()

*     **** display all seeds
*     **** to be called by KUIP
      implicit none
#include "rang/zf.fi"
#include "pris/zgraf.fi"
#include "arte/Arte.fi"
      integer max_graf
      parameter (max_graf=100)
      integer ngraf, ft, ii, izf
      real wh(3), xxx(max_graf), yyy(max_graf)
      character*2 opt_c, opt_l
#include "arte/Arte.ff"

#ifdef RGRAF
      call tfmseedx()           ! generate seeds

      call didraw()
      call igset('PLCI',corczg)
      call igset('PMCI',corczg)
      call igset('LWID',6.)

      ngraf = 0
      do ft=1,nca_ft
*        **** loop over hits in candidate
         do ii=1,199
            if (ii.eq.1) then
               izf = last_ft(ft)
            else
               izf = prev_zf(izf)
            endif
            if (izf.le.0) go to 11

            if (ii.gt.max_graf) then
               print *,' tfkmseedx: overflowing max_graf=', max_graf
               go to 11
            endif

            wh(1) = xx_zf(1,izf) ! 3D point
            wh(2) = xx_zf(2,izf)
            wh(3) = z_zf(izf)

            call dipro(wh,xxx(ii),yyy(ii)) ! projection
            ngraf = ii
         enddo

 11      continue

*        **** draw the graph
         if (lcrosszg) then
*      **** set marker type
            call ismk(28)
*      **** marker scale factor
            call ismksc(1.5)
            opt_l = 'LP'
            opt_c = 'CP'
         else
            opt_l = 'L'
            opt_c = 'C'
         endif

         if (ngraf.ge.2) then
*      **** draw track candidate
            call igraph(ngraf,xxx,yyy,opt_l)
         endif

      call iuwk(0,1)


      enddo
#endif

 999  end


