*-- Author :    A.Spiridonov   06/12/98

      subroutine tfmtchs(rc,mc,OK)

*     check if Zf of segment match with Zmimp of MC    
*      if Zf - Zmimp < 100cm  OK=1 , else OK=-1

*       ( tailored version of tfmatch )

      implicit none
#include "arte/Arte.fi"

#include "pris/zmh.fi"


#include "rang/zf.fi"
#include "rang/zfmode.fi"

      integer nmx
      parameter (nmx=10)
      integer mc, rc, OK, nhit, jaux, hf, mimp, nnmimp, ih, jmc, iih,
     +      hit_array(nmx), nso, iso, iihitf, nhits
      real zlowrc, zlowmc
#include "auto/GEO.fi"
#include "auto/HITB.fi"
#include "auto/MTRA.fi"
#include "auto/MIMP.fi"
#include "auto/RHIT.fi"
#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/HITB.ff"
#include "auto/MTRA.ff"
#include "auto/MIMP.ff"
#include "auto/RHIT.ff"

      OK = -1
*     **** loop over mimps
      zlowrc = 9999.

*     **** loop over hits used for track
      nhit = 0
      do 10 hf=1,nrhit()
       if (orhit_rseg(hf).ne.rc) go to 10

       nhit = nhit + 1
       if (fhitb_z(orhit_hitb(hf)).lt.zlowrc) zlowrc =
     +      fhitb_z(orhit_hitb(hf))
 10   continue
 11   continue

*     **** loop over mimps for MC particle
      zlowmc = 9999.
      nso = nmimmh(mc)
      do 30 iso=nso,1,-1
       mimp = imimmh( istamh(mc) + iso )
       if (igede_cmp(imimp_gede(mimp)).eq.1) go to 30 ! no Si/magnet
*      **** get hits associated with mimp
       call tumimph(mimp,nmx,hit_array,nhits)
*      **** loop over associated hits
       do iih=1,nhits
        ih = hit_array(iih)
        if (ih.le.0.or.ih.gt.iq(jhitb+2)) then
         print *,' () tfmtch: invalid ih=',ih,' at iih,mimp=',iih,mimp
         go to 999
        endif

*       **** no merged points
        call tuhmimp(ih,jmc,mimp,nnmimp)
        if (nnmimp.gt.1) go to 30

*       **** check z
        if (fhitb_z(ih).lt.zlowmc) zlowmc = fhitb_z(ih)
       enddo
 30   continue

*      print *,' tfmtchs: mc= ', mc, 'rc= ', rc,' zlowmc= ', zlowmc,
*     +        ' zlowrc= ', zlowrc
      if (zlowrc.gt.(zlowmc+100.)) then
*       print '("tfmtchs : ---> discarded zrc,zmc ",f7.2,x,f7.2)'
*     +         ,zlowrc,zlowmc
       OK = -1
      else
*       print '("tfmtchs : ---> accepted  zrc,zmc ",f7.2,x,f7.2)'
*     +         ,zlowrc,zlowmc
       OK = +1
      endif

 999  end
