#include <string>
#include <iostream.h>
#include "reco/recoOptions.hh"

extern recoOptions RecoOpt;

extern "C" {

  void rccinact(char* cc, const int& nc) {
    string c(cc,4);
    int status = RecoOpt.CheckActiveSL(c);
    if(status==1 || status==9) {
        RecoOpt.SetInActiveSL(c);
    }
    else {
        cout << "Superlayer " << c << " is inactive" << endl;
    }
  }
}
