*-- Author :    Hartwig Albrecht   15/07/95

      SUBROUTINE MMFREE (JL)

************************************************************************
*
* Description: free unused space at the end of tables
*
* Called from: anywhere
*
* External references:  MZPUSH
*
* Argument in/out description
*   JL     in     Zebra link
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MEMO.fi"
#include "auto/MEMS.fi"

      INTEGER JL(1), IL, IS, IP, LOCF

#include "arte/Arte.ff"
#include "auto/MEMO.ff"
#include "auto/MEMS.ff"

      IF (JL(1) .EQ. 0)  GO TO 90

      IL = LOCF (JL) - LARLN1

      CALL MZPUSH (IMEMO_DIV(IL), JLINK(IL), 0,
     +  IQ(JLINK(IL)+1) * IQ(JLINK(IL)+2) + 2 - IQ(JLINK(IL)-1) , ' ')

C parallel tables

      IS = IMEMO_SUB1(IL) - 1

 10   IF (IS .EQ. IMEMO_SUB2(IL))  GO TO 90
      IS = IS + 1
      IP = IMEMS_SUB(IS)
      IF (IMEMO_FLAG(IP) .EQ. -2)
     +  CALL MZPUSH (IMEMO_DIV(IP), JLINK(IP), 0,
     +  IQ(JLINK(IP)+1) * IQ(JLINK(IP)+2) + 2 - IQ(JLINK(IP)-1) , ' ')
      GO TO 10

 90   END

************************************************************************
* End of MMFREE
************************************************************************
