      CHARACTER*(*) FUNCTION WORD(STR,IW)

************************************************************************
*
* CERN PROGLIB# M433    WORD            .VERSION KERNBIT  1.07  910903
* Author: M.Marquina 91/03/03
*
*-    Select word IW of string STR (word-delimiter CHSEP)
*
************************************************************************
*
* Routine has been taken from CERN Library
*   (M433: Utility Package for Character Manipulation).
*
* Bugs fixed in Feb. 1997 by A.Lanyov.
*   (Changes are marked by " ! AL" sign in the program text.)
*
************************************************************************

      CHARACTER*(*) STR

c#include "m433cs.inc"
       COMMON/M433CS/ICHSEP,CHSEP
      CHARACTER*1 CHSEP
C
      IF(ICHSEP.NE.1) THEN
        ICHSEP=1
        CHSEP=' '
      ENDIF


      LSTR=LENOCC(STR)
      WORD=' '
      IF(IW.LT.1) RETURN
C*>   Strip leading characters
      I0=1
      DO WHILE(STR(I0:I0).EQ.CHSEP.AND.I0.LT.LSTR)
        I0=I0+1
      ENDDO
      if(i0.eq.lstr .and. str(i0:i0).eq.chsep) return   ! AL, Feb. 1997
c      IF(I0.EQ.LSTR) RETURN                            ! AL, Feb. 1997
      NW=1
      JW=1
      IS=I0
      IE=LSTR
      DO 10 N=I0,LSTR
        IF(STR(N:N).NE.CHSEP)            GOTO 10
        IF(STR(N-1:N-1).NE.CHSEP) JW=JW+1
        IF(JW.LT.IW)                     GOTO 10
        IF(JW.EQ.IW) IS=N+1
        IF(JW.NE.IW+NW)                  GOTO 10
        IE=N-1
        GOTO 20
 10   CONTINUE
 20   CONTINUE
      IF(IW.GT.JW) RETURN
      IF(IE.GE.IS) WORD=STR(IS:IE)
      RETURN
      END
