 
// *****************************************************************************
//
// source:    DQ_ITR_rec_init.C
//
// type:      source code
//
// created:   26 Jun 2000
//
// author:    Dr. Andreas Gellrich
//            HERA-B Collaboration
//            Humboldt-University Berlin
//            Physics Department
//            Invalidenstr. 110
//            10115 Berlin
//            Germany
//            email: Andreas.Gellrich@desy.de
//
// called by: DQ_init()
//
// changes:
// 26 Jun 2000 (AG) creation
//  6 Jul 2000 (AG) polished printout
//
// ******************************************************************

// standard includes
#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>

// ONLINE includes
#include "rhp.h"

// Arte includes
#include "arte/arte.hh"
#include "farm/farm.hh"
#include "dq/DQ.h"
#include "dq/DQ_ITR.h"

//
// function code
//
int
DQ_ITR_rec_init()
{
  // show up
  ARTE_mark( "DQ_ITR_rec_init 0", 0 );
  cout << "DQ_ITR_rec_init" << endl;

  //unsigned int histogram_id1 = 1;     // 0x0     lowest
  //unsigned int histogram_id2 = 65535; // 0xfffff highest

  //int   nbinx = 100; // binning in x
  //int   nbiny = 100; // binning in y
  //float xmin  = 0;   // minimal x
  //float xmax  = 100; // maximal x
  //float ymin  = 0;   // minimal y
  //float ymax  = 100; // maximal y
 
  // print (online to grr)
  //ARTE_error( GRR_SFATAL, "I am dead!", 99 );
   
  // book 1-dim histograms
  //rhp_hbook1( DQ_ID( COMP_ITR, LVL_REC, histogram_id1 ),
  //            "ITR: test", nbinx, xmin, xmax );

  // book 2-dim histograms
  //rhp_hbook2( DQ_ID( COMP_ITR, LVL_REC, histogram_id2 ),
  //            "This is a test", nbinx, xmin, xmax, nbiny, ymin, ymax );

  ARTE_mark( "DQ_ITR_rec_init 1", 0 );
  return 0; // return error code (0 = okay)
}
