*
*  B.Fominykh  4.05.2000
*  the program of MuonID package
*  calculates likelihood probability for branch
*  input:  IBRS - start branch number
*          IBRF - final branch number
*          IPR  - print control
*
      SUBROUTINE MURBLHP(IBRS,IBRF,IPR)
C-    =================================
      IMPLICIT NONE
#include "murec/MUCBTAB.fi"
#include "murec/MUCBPAR.fi"
      INTEGER IBR,IBRS,IBRF,IPR,IPR2,JBR,NDF,NDFL,NHT
      REAL CHIKF,LHD,LHDW,SCALE,PRB,XP(6),PROB
      REAL LHS1,LHP1,LHS2,LHP2,LHS3,LHP3,LHS4,LHP4
#include "arte/Arte.fi"
#include "arte/Arte.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********
      IF(IBRF.LT.IBRS) RETURN
      IPR2=0
      IF(IPR.GT.1) IPR2=1
* loops over branchs
      DO 100 IBR=IBRS,IBRF
        JBR=JTMP7+IQ(JTMP7+1)*(IBR-1)+2
        Q(JBR+47)=0.
        IF(IQ(JBR+1).NE.1) GOTO 100
* calculate the likelyhood probability for the branch 
      LHD=0.
      NDF=0
* MU1
      CALL MURLH12(IBR,1,IPR2,NHT,XP,LHS1,LHP1,NDFL)
      IF(LHS1.NE.-1..AND.LHP1.NE.-1.) THEN
        LHD=LHD+LHS1+LHP1
        NDF=NDF+NDFL
      ELSE
        LHD=LHD+200.
        NDF=NDF+2
      ENDIF
* MU2
      CALL MURLH12(IBR,2,IPR2,NHT,XP,LHS2,LHP2,NDFL)
      IF(LHS2.NE.-1..AND.LHP2.NE.-1.) THEN
        LHD=LHD+LHS2+LHP2
        NDF=NDF+NDFL
      ELSE
        LHD=LHD+200.
        NDF=NDF+2
      ENDIF
* MU3
      CALL MURLH34(IBR,3,IPR2,LHS3,LHP3)
      NDF=NDF+3
      IF(LHS3.NE.-1..AND.LHP3.NE.-1.) THEN
        LHD=LHD+LHS3+LHP3
      ELSE
        LHD=LHD+200.
      ENDIF
* MU4
      NDF=NDF+3
      CALL MURLH34(IBR,4,IPR2,LHS4,LHP4)
      IF(LHS4.NE.-1..AND.LHP4.NE.-1.) THEN
        LHD=LHD+LHS4+LHP4
      ELSE
        LHD=LHD+200.
      ENDIF

* estimator2 = likelyhood probability
      SCALE=0.4
      LHDW=SCALE*LHD
      IF(LHDW.LT.0.) LHDW=0.
      PRB=PROB(LHDW,NDF)
      Q(JBR+47)=PRB
      IQ(JBR+1)=2

      IF(IPR.GT.0) THEN

        PRINT 1004,LHS1,LHP1,LHS2,LHP2
 1004   FORMAT(1X,'MURBLHP: MU1',2E12.4,' MU2',2E12.4)
        PRINT 1005,LHS3,LHP3,LHS4,LHP4,LHD,NDF,PRB
 1005   FORMAT(1X,'MU3',2E12.4,' MU4',2E12.4,
     +            ' LHD',E12.4,' NDF',I3,' prb',F6.3)

      ENDIF
*
 100  CONTINUE
*
 200  CONTINUE
      RETURN
      END




