#ifndef rkmain_HH
#define rkmain_HH

extern "C" {
  void rkmain_(int& icovar,  // = 0    no     calculation of derivative matrix
	                     // = 1    normal calculation of derivative matrix
	                     // = 2    fast   calculation of derivative matrix
	       double& zout, // z value for output parameters
	       double& fstep,// first step size, out= last step size
	       double* pin,  // input track parameter (z,x,y,tx,ty,Q/p*s)
	       double* prec, // precision for POUT(2-5) / cm in z
	       double* pout, // output track parameters
	       double* rkd,  // derivatives d POUT(2-6) / d PIN(2-6)
	       int&    ierror);// = 0 ok
                               // = 1 track curls
                               // = 2 FSTEP = 0
}
#endif
