
#ifndef _MODSEL_HH
#define _MODSEL_HH

// *****************************************************************************
//
// source:    modsel.hh
//
// type:      header file
//
// created:   16 Aug 2000
//    
// author:    Dr. Andreas Gellrich
//            HERA-B Collaboration
//            Humboldt-University Berlin
//            Physics Department
//            Invalidenstr. 110
//            10115 Berlin
//            Germany
//            E-mail: Andreas.Gellrich@desy.de
//
// purpose:   define selection flags
//
// hints:     EVRC selmask
//
// changes:
// 16 Aug 2000 (AG) creation
//
// ****************************************************************************

#define RECO_OTR_PCUT   0x1 /* p-cut cut for OTR */
#define RECO_RICH_OCUT  0x2 /* occupancy-cut for RICH */

#endif
