
// *****************************************************************************
//
// source:    rcClassname.C
//
// type:      source code
//
// created:   23 Jun 2000
//	
// author:    Dr. Andreas Gellrich
//            HERA-B Collaboration
//            Humboldt-University Berlin
//            Physics Department
//            Invalidenstr. 110
//            10115 Berlin
//            Germany
//            E-mail: Andreas.Gellrich@desy.de
//
// symbol:    rcClassName
//
// called by: 
//
// purpose:   return name of classification bit
//
// hints:
//
// changes:
// 23 Jun 2000 (AG) creation
// 25 Jun 2000 (AG) correct names
//
// *****************************************************************************

// standard includes
#include <iostream.h>

// ARTE includes
#include "reco/eclass.hh"

//
// function code
//
char *
rcClassName( int bit )
{
  // classes
  if( bit ==  1 ) return ECLASS_NAME_1;
  if( bit ==  2 ) return ECLASS_NAME_2;
  if( bit ==  3 ) return ECLASS_NAME_3;
  if( bit ==  4 ) return ECLASS_NAME_4;
  if( bit ==  5 ) return ECLASS_NAME_5;
  if( bit ==  6 ) return ECLASS_NAME_6;
  if( bit ==  7 ) return ECLASS_NAME_7;
  if( bit ==  8 ) return ECLASS_NAME_8;
  if( bit ==  9 ) return ECLASS_NAME_9;
  if( bit == 10 ) return ECLASS_NAME_10;
  if( bit == 11 ) return ECLASS_NAME_11;
  if( bit == 12 ) return ECLASS_NAME_12;
  if( bit == 13 ) return ECLASS_NAME_13;
  if( bit == 14 ) return ECLASS_NAME_14;
  if( bit == 15 ) return ECLASS_NAME_15;
  if( bit == 16 ) return ECLASS_NAME_16;

  // users
  if( bit == 17 ) return ECLASS_NAME_17;
  if( bit == 18 ) return ECLASS_NAME_18;
  if( bit == 19 ) return ECLASS_NAME_19;
  if( bit == 20 ) return ECLASS_NAME_20;
  if( bit == 21 ) return ECLASS_NAME_21;
  if( bit == 22 ) return ECLASS_NAME_22;
  if( bit == 23 ) return ECLASS_NAME_23;
  if( bit == 24 ) return ECLASS_NAME_24;
  if( bit == 25 ) return ECLASS_NAME_25;
  if( bit == 26 ) return ECLASS_NAME_26;
  if( bit == 27 ) return ECLASS_NAME_27;
  if( bit == 28 ) return ECLASS_NAME_28;
  if( bit == 29 ) return ECLASS_NAME_29;
  if( bit == 30 ) return ECLASS_NAME_30;
  if( bit == 31 ) return ECLASS_NAME_31;
  if( bit == 32 ) return ECLASS_NAME_32;

  return 0;
}
