*
*-- Author :    Vik   11/11/98
*

      SUBROUTINE TRD_WIN(N_BLOK,N_ROW,N_STRAW,N_HT)

**********************************************************************
*
* Description:  organizate "window" around predicted straw.
*
*               The number of hits in this "windows" is counted.
*
* Called from: TRD_WAY
*
*              
*          in:  N_BLOK  - TRD BLOK
*               N_ROW   - TRD LAYER
*               N_STRAW - STRAW NUMBER
*         out:  N_HT    - Number of hits in "window"
*
*
*********************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "gean/gclink.fi"
#include "gean/gcvolu.fi"
#include "gean/gcflag.fi"
#include "gean/ZGMOTH.fi"
#include "auto/GEO.fi"
#include "gean/ZGESL.fi"
#include "gean/ZGDETV.fi"
#include "auto/MIMP.fi"
#include "auto/MTRA.fi"
#include "auto/TOPP.fi"
#include "auto/DIGB.fi"
#include "auto/HITB.fi"

      
      REAL X_TRD_SEED, Y_TRD_SEED, Z_TRD_SEED,
     +     TNXZ_TRD_SEED, TNYZ_TRD_SEED, X_SEED, Z_SEED
      INTEGER isl, INDX, ROW, N_MAX, N_MR, I, N_ROW, N_BLOK,
     +        ROAD, NB_TRD_SEED, N_MATR, N_STRAW, N_STR_HIT, N_HT,
     +        N_STRAW_MIN, N_STRAW_MAX, IDB, IGD, N_GD_BLOK,
     +        N_GD_ROW, N_GD_STRAW, FLAG, N_STR, TRD_VIEW, TRD_HITB,
     +        TRACK
      COMMON /TRD_SD/ X_TRD_SEED, Y_TRD_SEED, Z_TRD_SEED, TNXZ_TRD_SEED,
     +                TNYZ_TRD_SEED, NB_TRD_SEED, N_MATR
      COMMON /TRD_ROAD/ ROAD, FLAG, N_STR_HIT, TRACK
      COMMON /TRD_ALL/ TRD_VIEW, TRD_HITB

      PARAMETER (N_MAX = 1000)
      DIMENSION X_TRD_SEED(N_MAX,15),Y_TRD_SEED(N_MAX,15)
      DIMENSION Z_TRD_SEED(N_MAX,15), NB_TRD_SEED(N_MAX,15)
      DIMENSION TNXZ_TRD_SEED(N_MAX,15), TNYZ_TRD_SEED(N_MAX,15)
      DIMENSION ROAD(N_MAX,15,16,100), N_STR_HIT(3)
      DIMENSION FLAG(N_MAX,15,16), TRACK(N_MAX,15,100)
      DIMENSION TRD_VIEW(12,16,78), TRD_HITB(12,16,78)
C
#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/MIMP.ff"
#include "auto/MTRA.ff"
#include "auto/TOPP.ff"
#include "auto/DIGB.ff"
#include "auto/HITB.ff"
C
C TRD Event Analysis.
C
*      PRINT *,'START WIN analysis for TRD'
C
      CALL VZERO(N_STR_HIT,3)
C
      N_HT    = 0
C
      IF(N_ROW.LE.9) THEN
C
      IF(N_STRAW.EQ.1) THEN
         N_STRAW_MIN = N_STRAW
         N_STRAW_MAX = N_STRAW + 1
      END IF
C
      IF(N_STRAW.EQ.78) THEN
         N_STRAW_MIN = N_STRAW - 1
         N_STRAW_MAX = N_STRAW
      END IF
C
      N_STRAW_MIN = N_STRAW - 1
      N_STRAW_MAX = N_STRAW + 1
C
      DO N_STR = N_STRAW_MIN, N_STRAW_MAX
C
         IF(TRD_VIEW(N_BLOK,N_ROW,N_STR).NE.0) THEN
C
            N_HT = N_HT + 1
C
            N_STR_HIT(N_HT) = TRD_VIEW(N_BLOK,N_ROW,N_STR)            
C
         END IF
C
      END DO
C
      ELSE
C
         N_STR = N_STRAW
C
         IF(TRD_VIEW(N_BLOK,N_ROW,N_STR).NE.0) THEN
C
            N_HT = N_HT + 1
C
            N_STR_HIT(N_HT) = TRD_VIEW(N_BLOK,N_ROW,N_STR)            
C
         END IF
C
      END IF
C
c      print *,'windows',N_BLOK,N_ROW,N_STRAW,N_HT
C
*      PRINT *,'STOP WIN analysis for TRD'
C
 900  END

*********************************************************************
* End of TRD_WIN
************************************************************************
